List Payments
curl --request GET \
--url https://api-staging.eximpe.com/pg/payments/ \
--header 'X-Client-ID: <api-key>' \
--header 'X-Client-Secret: <api-key>'import requests
url = "https://api-staging.eximpe.com/pg/payments/"
headers = {
"X-Client-ID": "<api-key>",
"X-Client-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Client-ID': '<api-key>', 'X-Client-Secret': '<api-key>'}
};
fetch('https://api-staging.eximpe.com/pg/payments/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Domestic payment requests retrieved successfully",
"data": {
"count": 15,
"page": 1,
"page_size": 10,
"next": "https://api.eximpe.com/pg/payments/?page=2&page_size=10",
"previous": null,
"results": [
{
"id": "PR1469384681",
"merchant": {
"id": "4455704961",
"name": "Acme Corp"
},
"reference_id": "ACME_ORD_1001",
"buyer": {
"name": "Rahul Mehta",
"email": "rahul.mehta@acme.com",
"phone": "+919812345678"
},
"payment_id": "OD9411897512",
"amount": {
"amount": "1000",
"total_amount": "1000",
"currency": "INR"
},
"created_at": "2025-06-23T10:44:14.344135Z",
"comment": null,
"mop_type": "UPI",
"status": "CAPTURED"
}
]
}
}{
"success": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Payment
List Payments
Retrieve a list of payments for a merchant.
GET
/
pg
/
payments
/
List Payments
Overview
The List Payments endpoint allows you to search and retrieve payment records based on a variety of criteria. You can filter by payment status, date ranges, currency, and more. The response is paginated to handle large datasets efficiently.Filtering
You can combine multiple filters to create a precise query. All filter parameters are optional.Available Filters
currencymerchant_idpayment_idreference_idbuyer_namemop_type: (e.g.,CREDIT_CARD,DEBIT_CARD,UPI,NET_BANKING,QR)status: (PENDING,CAPTURED,FAILED)from_created_date/to_created_date
Authorizations
Client app ID. You can find your app id in the merchant dashboard.
Client secret key. You can find your secret in the merchant dashboard.
Query Parameters
Filter by 3-letter ISO currency code.
Filter by merchant ID.
Filter by payment ID.
Filter by order reference ID.
Filter by buyer's name.
Filter by payment mode.
Available options:
UPI, CREDIT_CARD, DEBIT_CARD, NET_BANKING, QR Filter by payment status.
Available options:
PENDING, CAPTURED, FAILED Filter by creation date (from).
Filter by creation date (to).